Subject: Re: branch description as a note?

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Dec 2024 10:00:30 +0900

"Bence Ferdinandy" <[email-masked]> writes:

> Not to a commit, but to a branch. I mean I know a branch is just a reference to
> a specific commit, but in this case the mapping would be from the branch's
> _name_ to the note object.

I am not really sure if you know what you said you know above.

Notes are designed to map object names to blobs (technically you can
point at a random other objects but "notes edit" and other UI would
only work with blobs).  A branch does not have its "object name",
because it is *not* an object.

What you are saying sounds like "I know a screwdriver is not a
chisel, but a screwdriver has a flat blade-like head, so I want to
use it as a chisel".